#ifndef CProcessMutex_h
#define CProcessMutex_h


/*!
   \file
 	\brief プロセスレベルの同期オブジェクト
 
 */
#include"../../Setup/CompileMode.h"
#include"../Macro.h"
#include"../mstring.h"

#include"../../Setup/Win32.h"

namespace Maid
{
	class CProcessMutex
	{
	public:
		CProcessMutex();
		~CProcessMutex();


		void Open( const mstring& MutexName, bool IsOriginal=true );

		void Close();

		static bool IsExist(  const mstring& MutexName );
	private:

		HANDLE	m_hMutex;
	};

}


#endif
